net.i2p.router.transport.udp

## Interface MessageQueue

- All Known Implementing Classes:
    TimedWeightedPriorityMessageQueue

      interface MessageQueue

  Base queue for messages not yet packetized

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(OutNetMessage message)` Add on a new message to the queue
    `OutNetMessage` | `getNext(long blockUntil)` Get the next message, blocking until one is found or the expiration reached.

- - ### Method Detail

    - #### getNext

          OutNetMessage getNext(long blockUntil)

      Get the next message, blocking until one is found or the expiration reached.
      Parameters:
        `blockUntil` - expiration, or -1 if indefinite

    - #### add

          void add(OutNetMessage message)

      Add on a new message to the queue